/[jscoverage]/trunk/tests/store-unreadable-json.sh
ViewVC logotype

Contents of /trunk/tests/store-unreadable-json.sh

Parent Directory Parent Directory | Revision Log Revision Log


Revision 181 - (show annotations)
Sun Sep 21 18:42:02 2008 UTC (11 years, 2 months ago) by siliconforks
File MIME type: application/x-sh
File size: 1836 byte(s)
Fix tests.

1 #!/bin/sh
2 # store-unreadable-json.sh - test store when jscoverage.json is not readable
3 # Copyright (C) 2008 siliconforks.com
4 #
5 # This program is free software; you can redistribute it and/or modify
6 # it under the terms of the GNU General Public License as published by
7 # the Free Software Foundation; either version 2 of the License, or
8 # (at your option) any later version.
9 #
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY; without even the implied warranty of
12 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
13 # GNU General Public License for more details.
14 #
15 # You should have received a copy of the GNU General Public License along
16 # with this program; if not, write to the Free Software Foundation, Inc.,
17 # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
18
19 set -e
20
21 # skip on windows
22 uname=`uname`
23 case "$uname" in
24 CYGWIN* | MINGW*)
25 exit 77
26 ;;
27 esac
28
29 shutdown() {
30 wget -q -O- --post-data= "http://127.0.0.1:${server_port}/jscoverage-shutdown" > /dev/null
31 wait $server_pid
32 }
33
34 cleanup() {
35 shutdown
36 }
37
38 trap 'cleanup' 0 1 2 3 15
39
40 export PATH=.:..:../js:$PATH
41
42 if [ -z "$VALGRIND" ]
43 then
44 delay=0.2
45 else
46 delay=2
47 fi
48
49 rm -fr DIR
50 $VALGRIND jscoverage-server --no-highlight --document-root=recursive --report-dir=DIR > OUT 2> ERR &
51 server_pid=$!
52 server_port=8080
53
54 sleep $delay
55
56 cat store.json | sed "s/@PREFIX@/\\//g" > TMP
57 wget --post-file=TMP -q -O- http://127.0.0.1:8080/jscoverage-store > /dev/null
58 cat store.expected.json | sed "s/@PREFIX@/\\//g" > TMP
59 js json-cmp.js TMP DIR/jscoverage.json
60
61 chmod -r DIR/jscoverage.json
62
63 cat store.json | sed "s/@PREFIX@/\\//g" > TMP
64 echo 500 > EXPECTED
65 ! curl -d @TMP -f -w '%{http_code}\n' http://127.0.0.1:8080/jscoverage-store 2> /dev/null > ACTUAL
66 diff EXPECTED ACTUAL

Properties

Name Value
svn:executable *

  ViewVC Help
Powered by ViewVC 1.1.24